package de.ivu.elect.exchange.statistik.csv;

import java.util.Date;

import org.jsefa.csv.annotation.CsvDataType;
import org.jsefa.csv.annotation.CsvField;

import de.ivu.elect.exchange.BaseDTO;
import de.ivu.jsefa.CsvHeader;

@CsvDataType
public class StatistikLauf_LaufCsvDTO extends BaseDTO
    implements StatistikLaufCsvDTO {

  private static final long serialVersionUID = 1L;

  protected static final String ZEILEN_ART_DEFAULT = StatistikLaufCsvDTOZeilenArt.getZeilenArt_StatistikLauf();

  @CsvField(pos = 1)
  @CsvHeader("Zeilen-Art")
  private final String zeilenArt = ZEILEN_ART_DEFAULT;

  @CsvField(pos = 2)
  @CsvHeader("Wahlart-Name")
  private String wahlartName;

  @CsvField(pos = 3)
  @CsvHeader("Auslöser")
  private String ausloeser;

  @CsvField(pos = 4)
  @CsvHeader("Status")
  private String status;

  @CsvField(pos = 5)
  @CsvHeader("Zeitpunkt des Laufs")
  private Date zeitpunktDesLaufs;

  @CsvField(pos = 6)
  @CsvHeader("Beschreibung")
  private String beschreibung;

  @CsvField(pos = 7)
  @CsvHeader("Start des Laufs")
  private Date startDesLaufs;

  @CsvField(pos = 8)
  @CsvHeader("Ende des Laufs")
  private Date endeDesLaufs;

  private Long zeilenNr;

  public String getZeilenArt() {
    return zeilenArt;
  }

  public String getWahlartName() {
    return wahlartName;
  }

  public void setWahlartName(String wahlartName) {
    this.wahlartName = wahlartName;
  }

  public String getAusloeser() {
    return ausloeser;
  }

  public void setAusloeser(String ausloeser) {
    this.ausloeser = ausloeser;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public Date getZeitpunktDesLaufs() {
    return zeitpunktDesLaufs;
  }

  public void setZeitpunktDesLaufs(Date zeitpunktDesLaufs) {
    this.zeitpunktDesLaufs = zeitpunktDesLaufs;
  }

  public String getBeschreibung() {
    return beschreibung;
  }

  public void setBeschreibung(String beschreibung) {
    this.beschreibung = beschreibung;
  }

  public Date getStartDesLaufs() {
    return startDesLaufs;
  }

  public void setStartDesLaufs(Date startDesLaufs) {
    this.startDesLaufs = startDesLaufs;
  }

  public Date getEndeDesLaufs() {
    return endeDesLaufs;
  }

  public void setEndeDesLaufs(Date endeDesLaufs) {
    this.endeDesLaufs = endeDesLaufs;
  }

  public Long getZeilenNr() {
    return zeilenNr;
  }

  public void setZeilenNr(Long zeilenNr) {
    this.zeilenNr = zeilenNr;
  }
}
